# Jekyll snippets

I'm a big fan of Jekyll. I've built [my blog](http://markdotto.com) on it, as well as [Bootstrap's documentation](http://getbootstrap.com) and a [family of themes](http://getpoole.com). This repository serves as a library of commonly used Jekyll snippets.

## Contents

### Posts

- [List of posts](posts-list.html) for archive or condensed index pages.
- [List of posts by year](posts-archive-by-year.html) for archive pages.
- [Series of full posts](posts-full.html) with titles, links, and post body content.
- [Related posts](posts-related.html) based on time.
- [List of posts in a category](posts-in-category.html).
- [Paginated list of posts](http://jekyllrb.com/docs/pagination/).
- [Link to next post](posts-next-post.html).

### Pages

- [Navigation with active class](pages-nav.html) for linking pages with the `layout: page`.

### Data

- [List of items](data-list.html) from a particular `.yml` file in the `_data` directory.

### Time

- [Current year](time-current-year.html) for things like copyright.
- [Current date](time-month-day-year.html) as full month, day, and year.

### Feeds

- [Basic Atom feed generator](atom.xml)

## Contributing

Have a suggestion or bug fix? Open a pull request or issue. I'd be happy to have more snippets here. Update the list above and include the snippet with a clear file name and the simplest HTML possible.

## License

Licensed under [MIT](LICENSE).
